noDemoShow=1;
nDemos=16;
disp('Create demos ...');
if exist('matlabpath')~=5
  more off
end
allDemosFile='demos.html';

if ~exist(allDemosFile)
  ehtmlnew(allDemosFile,[0.98 0.98 0.9]);
  cmdPrefix='edemo';
  outPrefix='demo';
  tic
  for i=1:nDemos
    cmd=sprintf('edemo%d',i);
    title=sprintf('<h1>Output of edmo%d:</h1>',i);
    eval(cmd);
    ehtmladdtxt(allDemosFile,title);
    ehtmladdeps(allDemosFile);
  end
  for i=1:nDemos
    ofile=sprintf('demo%d.eps',i);
    delete(ofile)
  end
  t=toc;
  text=sprintf('done in %d sec.',t);
  disp(text);
end
clear noDemoShow

filePath=pwd;
disp('Show demos ...');
ebrowse(['file:///' filePath '/' allDemosFile])
pause(5);
edemo17
pause(5);
disp('Show documentation ...');
ehelp
